Bug 1707050 - no termination message provided by failing cluster-node-tuning-operator pod
Summary: no termination message provided by failing cluster-node-tuning-operator pod
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node Tuning Operator
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.1.0
Assignee: jmencak
QA Contact: Mike Fiedler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-06 17:12 UTC by Luis Sanchez
Modified: 2019-06-04 10:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1707059 (view as bug list)
Environment:
Last Closed: 2019-06-04 10:48:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:48:32 UTC

Description Luis Sanchez 2019-05-06 17:12:54 UTC
The cluster-node-tuning-operator pods do not provide a termination message, hindering debugging efforts when the pods are crash looping.

At minimum, the pod's terminationMessagePolicy should be "FallbackToLogsOnError".

See https://kubernetes.io/docs/tasks/debug-application-cluster/determine-reason-pod-failure/#customizing-the-termination-message

Expected Results:
The termination message should appear in a pod container's  .status.lastState.terminated.message field.

Comment 1 Luis Sanchez 2019-05-06 17:14:56 UTC
Ditto for the tuned pod.

Comment 6 Mike Fiedler 2019-05-15 17:05:49 UTC
Verified on:  4.1.0-0.nightly-2019-05-14-202907

# oc get deployment cluster-node-tuning-operator -o yaml | grep terminationMessagePolicy
        terminationMessagePolicy: FallbackToLogsOnError

Comment 8 errata-xmlrpc 2019-06-04 10:48:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.